%define srcname greenlet

Name:		python-greenlet
Version:	0.4.9
Release:	%mkrel 2
Summary:	A spin-off of Stackless
License:	MIT
Group:		System/Libraries
Url:		http://pypi.python.org/pypi/greenlet
Source0:	http://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.zip
BuildRequires:	glibc-devel
BuildRequires:	python-devel
BuildRequires:  python-setuptools

%description
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%package -n python3-greenlet
Summary:	A spin-off of Stackless
Group:		System/Libraries
BuildRequires:	python3-devel
BuildRequires:  python3-setuptools

%description -n python3-greenlet
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%check
# Run the upstream test suite:
%{__python2} setup.py test
%{__python3} setup.py test

%files
%{_includedir}/python2.*/%{srcname}
%{python2_sitearch}/%{srcname}*

%files -n python3-greenlet
%{_includedir}/python3.*/%{srcname}
%{python3_sitearch}/%{srcname}*


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.4.9-2.mga6
+ Revision: 958615
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 joequant <joequant> 0.4.9-1.mga6
+ Revision: 887380
- upgrade to 0.4.9 and python 3.5

* Thu Jul 23 2015 joequant <joequant> 0.4.7-1.mga6
+ Revision: 856419
- upgrade to 0.4.7

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-5.mga5
+ Revision: 751067
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.2-4.mga5
+ Revision: 727907
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2-3.mga5
+ Revision: 688064
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.4.2-2.mga5
+ Revision: 628676
- Rebuild for new Python

* Sat Feb 08 2014 dams <dams> 0.4.2-1.mga5
+ Revision: 585697
- new version 0.4.2

* Wed Dec 11 2013 philippem <philippem> 0.4.1-1.mga4
+ Revision: 556333
- update to 0.4.1, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 0.4.0-4.mga4
+ Revision: 543416
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.0-3.mga4
+ Revision: 498705
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 378960
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 obgr_seneca <obgr_seneca> 0.4.0-1.mga3
+ Revision: 283875
- New version

* Mon Mar 12 2012 obgr_seneca <obgr_seneca> 0.3.4-1.mga3
+ Revision: 222985
- imported package python-greenlet


* Fri Mar 09 2012 Oliver Burger <obgr_seneca@mageia.org> 0.3.4-1.mga2
- initial package for Mageia
